/*
 * libtdm commonly used
 *
 */
#ifndef __TDM_COMMON_H__
#define __TDM_COMMON_H__

#define TDM_FALSE	0
#define TDM_TRUE	1

#define TDM_API

#ifndef ARRAY_SIZE
#define ARRAY_SIZE(x)	(sizeof(x) / sizeof(x[0]))
#endif

/*
 * public api
 */
typedef enum {
	TDM_STATUS_SUCCESS = 0,
	TDM_STATUS_GENERR,
	TDM_STATUS_INVALID,
	TDM_STATUS_UNIMPLEMENTED,
	TDM_STATUS_NOTFOUND,
	TDM_STATUS_BUSY,
} tdm_status_t;


/* forward declarations */
struct tdm_module;

struct tdm_device;
struct tdm_port;
struct tdm_channel;

struct tdm_span;
struct tdm_spangroup;

struct tdm_policy;
struct tdm_protocol;

#endif /* __TDM_COMMON_H__ */
