/*
 *
 *
 */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdlib.h>

#include "utils/dlist.h"

#include "tdm_common.h"
#include "tdm_object.h"
#include "tdm_module.h"

DLIST_HEAD(tdm_module_list);

/* add module to global list, after successfull load + init */
tdm_status_t tdm_module_add(struct tdm_module *mod)
{
	if (!mod || !tdm_object_is_module(mod))
		return TDM_STATUS_GENERR;

	/* TODO: lock tdm_module_list */

	dlist_insert_tail(&tdm_module_list, &mod->module_list);

	/* TODO: unlock tdm_module_list */
	return TDM_STATUS_SUCCESS;
}
